summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Thode <prometheanfire@gentoo.org>2020-08-27 13:58:07 -0500
committerMatthew Thode <prometheanfire@gentoo.org>2020-08-27 13:58:07 -0500
commita6fd91fca87e0d3ed588bdd2fb4282d7cca0fa74 (patch)
tree099979454119394db7828cdb62a8e85c01cc3cf6 /app-admin
parentapp-admin/puppetserver: 6.13.0 bump (diff)
downloadgentoo-a6fd91fca87e0d3ed588bdd2fb4282d7cca0fa74.tar.gz
gentoo-a6fd91fca87e0d3ed588bdd2fb4282d7cca0fa74.tar.bz2
gentoo-a6fd91fca87e0d3ed588bdd2fb4282d7cca0fa74.zip
app-admin/puppetdb: 6.12.0 bump
Package-Manager: Portage-3.0.4, Repoman-2.3.23 Signed-off-by: Matthew Thode <prometheanfire@gentoo.org>
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/puppetdb/Manifest1
-rw-r--r--app-admin/puppetdb/puppetdb-6.12.0.ebuild87
2 files changed, 88 insertions, 0 deletions
diff --git a/app-admin/puppetdb/Manifest b/app-admin/puppetdb/Manifest
index 3f3ff554778..b55b8c076ef 100644
--- a/app-admin/puppetdb/Manifest
+++ b/app-admin/puppetdb/Manifest
@@ -1,2 +1,3 @@
DIST puppetdb-6.10.0.tar.gz 44394062 BLAKE2B fee0a908518bb89e9dda1d4e8683953d305c70fc0e70a856871b0916a4ef610942db1a8f24f59b7704dde3da67ffc2bb1b25cc9254f3efa3c24408bc3a336cb8 SHA512 12ca864a5a515baf4510bbfcab23b686b66cce460908c103c96fd51ad2898f2c5a42b9d0d0c707977267cc31a517b454893ad85982b31176e1ebfa79d7f948ee
DIST puppetdb-6.11.2.tar.gz 44799680 BLAKE2B c40048d1fe6cf62371f2adb1a5361b34b1f46e6b344a7565ad9565f2ec4ae3cf1bd4927904c797be92c223dcc98e2302359af753228d09424372ea894cd5d5aa SHA512 af5d5f61147e8b67812af405b3b087897925869a62eb0749a5a59ae72e76bdcfe95879b0cb6d993ee85a00c44c6867e1864c0d22ceac7b854bca248ae1a00ccc
+DIST puppetdb-6.12.0.tar.gz 46375914 BLAKE2B 7d1a884881e9aa324b0d2a8cd49bf47e4014ff6bc23e94c76c27b3736c75f3cdcead76aea159de17ce1255381e32bb126f9cbf55297f64454fcca6ffd7f28b46 SHA512 040f8653c422e312857f82a8f040a33128f49c7900978a22b9ae672172ec41d2037e323de5aad3c50a630058b6b95c025bae05b3ea923e2321e94f97390998dc
diff --git a/app-admin/puppetdb/puppetdb-6.12.0.ebuild b/app-admin/puppetdb/puppetdb-6.12.0.ebuild
new file mode 100644
index 00000000000..5a7a32bcf49
--- /dev/null
+++ b/app-admin/puppetdb/puppetdb-6.12.0.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib systemd
+
+DESCRIPTION="PuppetDB collects data generated by Puppet."
+HOMEPAGE="http://docs.puppetlabs.com/puppetdb/"
+SRC_URI="https://downloads.puppetlabs.com/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE=""
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND+=">=virtual/jdk-1.8.0"
+DEPEND+="acct-user/puppetdb
+ acct-group/puppetdb"
+
+src_prepare() {
+ sed -i 's/sysconfig/conf\.d/g' ext/redhat/puppetdb.service || die
+ sed -i 's/sysconfig/conf\.d/g' ext/bin/puppetdb || die
+ sed -i 's/sysconfig/conf\.d/g' install.sh || die
+ sed -i 's/var\/run/run/g' ext/puppetdb.tmpfiles.conf || die
+ sed -i 's/var\/run/run/g' install.sh || die
+ default
+}
+
+src_compile() {
+ einfo "not compiling"
+}
+
+src_install() {
+ dodir /opt/puppetlabs/server/data/puppetdb
+ insinto /opt/puppetlabs/server/apps/puppetdb
+ insopts -m0744
+ doins ext/ezbake-functions.sh
+ insopts -m0644
+ doins ext/ezbake.manifest
+ doins puppetdb.jar
+ insinto /etc/puppetlabs/puppetdb
+ doins ext/config/logback.xml
+ doins ext/config/bootstrap.cfg
+ doins ext/config/request-logging.xml
+ insinto /etc/puppetlabs/puppetdb/conf.d
+ doins ext/config/conf.d/jetty.ini
+ doins ext/config/conf.d/repl.ini
+ doins ext/config/conf.d/database.ini
+ doins ext/config/conf.d/config.ini
+ insopts -m0755
+ insinto /opt/puppetlabs/server/apps/puppetdb/scripts
+ doins install.sh
+ insinto /opt/puppetlabs/server/apps/puppetdb/cli/apps
+ doins ext/cli/foreground
+ doins ext/cli/ssl-setup
+ doins ext/cli/config-migration
+ doins ext/cli/foreground
+ doins ext/cli/anonymize
+ doins ext/cli/reload
+ doins ext/cli/start
+ doins ext/cli/stop
+ insinto /opt/puppetlabs/server/apps/puppetdb/bin
+ doins ext/bin/puppetdb
+ insopts -m0644
+ dodir /opt/puppetlabs/server/bin
+ dosym ../apps/puppetdb/bin/puppetdb /opt/puppetlabs/server/bin/puppetdb
+ dodir /opt/puppetlabs/bin
+ dosym ../server/apps/puppetdb/bin/puppetdb /opt/puppetlabs/bin/puppetdb
+ dosym ../../opt/puppetlabs/server/apps/puppetdb/bin/puppetdb /usr/bin/puppetdb
+ # init type tasks
+ newconfd ext/default puppetdb
+ systemd_dounit ext/redhat/puppetdb.service
+ systemd_newtmpfilesd ext/puppetdb.tmpfiles.conf puppetdb.conf
+ newinitd "${FILESDIR}/puppetdb.initd-r2" puppetdb
+ # misc
+ insinto /etc/logrotate.d
+ newins ext/puppetdb.logrotate.conf puppetdb
+ fowners -R puppetdb:puppetdb /opt/puppetlabs/server/data/puppetdb
+ fperms -R 770 /opt/puppetlabs/server/data/puppetdb
+}
+
+pkg_postinst() {
+ elog "to install please run '/opt/puppetlabs/server/bin/puppetdb ssl-setup'"
+ elog
+ elog "to upgrade please run '/opt/puppetlabs/server/bin/puppetdb config-migration'"
+}